Skip to content
Open app

me.get

GET /api/v1/me. An agent token (Authorization: Bearer ifc_…) or a signed-in person.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/meget.mdtext/markdown
GET
/api/v1/me
Code sample: Shell / cURL
curl --request GET \
--url https://app.intraface.cc/api/v1/me \
--header 'Authorization: Bearer <token>'

An agent token (Authorization: Bearer ifc_…) or a signed-in person.

Success.

Media typeapplication/json
object
id
required
string
email
required
string | null
name
required
string | null
image_url
required
string | null
via
required
string
Allowed values: session token
token
required
Any of:
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
label
required
string
scopes
required
Array<string>
Allowed values: boards:read boards:write comments:write
onboarding_done
boolean
default: true

Example

{
"via": "session",
"token": {
"scopes": [
"boards:read"
]
},
"onboarding_done": true
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}